using System;

class Program {
  static void NajmanjePuta(string tekst, string cenzura, ref int min, int j, ref char slovo)
  {
    int brojac = 0;
    if(j >= cenzura.Length)
    {
      return;
    }
    for(int i = 0;i < tekst.Length;i++)
    {
      if(tekst[i] == cenzura[j]) brojac++;
    }
    if(brojac < min) 
    {
      min = brojac;
      slovo = cenzura[j];
    }
    NajmanjePuta(tekst, cenzura, ref min, j+1, ref slovo);
  }
  static void Cenzurisanje(string tekst, char slovo, int min)
  {
    Console.WriteLine(min);
    for(int i = 0;i < tekst.Length;i++)
    {
      if(tekst[i] == slovo) Console.Write('*');
      else Console.Write(tekst[i]);
    }
    Console.WriteLine();
  }
  public static void Main (string[] args) {
    string tekst = Console.ReadLine();
    string cenzura = Console.ReadLine();
    int min = Int32.MaxValue;
    char slovo = ' ';
    NajmanjePuta(tekst, cenzura, ref min, 0, ref slovo);
    Cenzurisanje(tekst, slovo, min);
  }
}